%define anolis_release 1
%global __python %{__python3}
Name:           vulkan-headers
Version:        1.4.304.0
Release:        %{anolis_release}%{?dist}
Summary:        Vulkan header files and API registry

License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Headers
Source0:        https://github.com/KhronosGroup/Vulkan-Headers/archive/refs/tags/vulkan-sdk-%{version}.tar.gz

BuildRequires:  cmake >= 3.10.2 gcc autoconf
BuildRequires:  ninja-build
BuildRequires:  gcc-c++
BuildArch:      noarch

%description
Vulkan header files and API registry

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Vulkan-Headers-vulkan-sdk-%{version}

%build
%cmake3 -DCMAKE_INSTALL_LIBDIR=%{_libdir} -GNinja
%cmake_build

%install
%cmake_install

%files
%license LICENSE.md
%{_includedir}/vulkan/
%{_includedir}/vk_video/
%dir %{_datadir}/vulkan/
%dir %{_datadir}/cmake/VulkanHeaders/
%{_datadir}/vulkan/registry/
%{_datadir}/cmake/VulkanHeaders/*.cmake

%files doc
%doc README.md

%changelog
* Fri Mar 21 2025 Chang Gao <gc-taifu@linux.alibaba.com> - 18.1.8-3
- Update to 1.4.304.0

* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.3.234-2
- optimize spec

* Sat Nov 12 2022 Funda Wang <fundawang@yeah.net> - 1.3.234-1
- New version 1.3.234

* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.3.211-1
- init from upstream
